## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# NameSpace Class Reference

A representation of a namespace. More...

`#include <NameSpace.hpp>`

Collaboration diagram for NameSpace:

[legend]
List of all members.

## Public Methods

- NameSpace ()
- NameSpace (const XalanDOMString &prefix, const XalanDOMString &uri)
    Construct a namespace for placement on the result tree namespace stack. More...
- ~NameSpace ()
- const XalanDOMString& getPrefix () const
    Retrieve the prefix for namespace. More...
- void setPrefix (const XalanDOMString &prefix)
    Set the prefix for namespace. More...
- const XalanDOMString& getURI () const
    Retrieve the URI for namespace. More...
- void setURI (const XalanDOMString &uri)
    Set the URI for namespace. More...
- void setURI (const XalanDOMChar *uri)
    Set the URI for namespace. More...
- void setURI (const XalanDOMChar *uri, XalanDOMString::size_type len)
    Set the URI for namespace. More...
- bool empty () const
- void clear ()
- bool operator== (const NameSpace &theRHS) const
    Equality operator. More...

## Detailed Description

A representation of a namespace.

One of these will be pushed on the namespace stack for each element.

## Constructor & Destructor Documentation

NameSpace::NameSpace ( | )`[explicit]`

NameSpace::NameSpace ( | const XalanDOMString & prefix,
| const XalanDOMString & uri )

  | Construct a namespace for placement on the result tree namespace stack. Parameters:
  prefix | namespace prefix
  uri | URI of namespace

NameSpace::~NameSpace ( | )

## Member Function Documentation

void NameSpace::clear ( | )

bool NameSpace::empty ( | ) const

const XalanDOMString & NameSpace::getPrefix ( | ) const

| Retrieve the prefix for namespace. Returns: prefix string

const XalanDOMString & NameSpace::getURI ( | ) const

| Retrieve the URI for namespace. Returns: URI string

bool NameSpace::operator== ( | const NameSpace & theRHS ) const

  | Equality operator. Parameters:
  theRHS | namespace to compare

void NameSpace::setPrefix ( | const XalanDOMString & prefix )

  | Set the prefix for namespace. Parameters:
  prefix | The new prefix value

void NameSpace::setURI ( | const XalanDOMChar * uri,
| XalanDOMString::size_type len )

  | Set the URI for namespace. Parameters:
  uri | The new uri value
  len | The length of the uri

void NameSpace::setURI ( | const XalanDOMChar * uri )

  | Set the URI for namespace. Parameters:
  uri | The new uri value

void NameSpace::setURI ( | const XalanDOMString & uri )

  | Set the URI for namespace. Parameters:
  uri | The new uri value

The documentation for this class was generated from the following file:

- NameSpace.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.